Skip to main content
Loads a dashboard (requires READ permission to the dashboard)

Authorizations

Authorization
string
header
required

HTTP Basic authentication using global administrator credentials (username and password).

Path Parameters

id
string
required

Defines a dashboard identifier

Query Parameters

interactivityProfile
string

(experimental) Dashboard interactivity profile name

Response

The dashboard was retrieved successfully

Defines a dashboard payload

name
string
required

Defines a dashboard name

Maximum string length: 255
id
string
read-only

Defines a dashboard identifier

description
string

Defines a dashboard description

layout
string

Defines a dashboard layout

dashboardLayout
object

(experimental) Defines a responsive dashboard layout

icon
string

Defines a dashboard icon

showDescription
boolean

Enables dashboard description in order to show

isReportDashboard
boolean

Defines whether dashboard is of type report

unifiedBarCfgs
object[]

Defines unified controls configuration of a dashboard

selectedWidgetId
string

Defines an identifier of the selected widget

Defines field links

rowFilters
object[]
deprecated

(deprecated since 7.4, to be removed in 8.x) Defines row filters

(experimental) Defines muted links

creatorName
string
read-only

Defines an dashboard author name

creatorFullName
string
read-only

Defines a dashboard author full name

widgets
object[]

Defines widgets

tags
string[]

Defines tags. Note: Tags are not supported as a sort parameter in the pagination API.

interactivityProfile
object
read-only

(experimental) Defines a dashboard interactivity profile

originId
string

Id of the exported dashboard

projectId
string
read-only

Project ID where this dashboard is organized. This field is read-only and only.

Example:

2222

folderId
string

Optional folder ID for organizing the dashboard within a project.

Example:

1111

reportDetails
object

Defines self service report details of the dashboard

createdByUserID
string
read-only

Defines a dashboard creator's identifier

lastModifiedByUserID
string
read-only

Defines an identifier of the user who has modified the dashboard last

createdDate
string<date-time>
read-only

Defines a date of creation of the dashboard

lastModifiedDate
string<date-time>
read-only

Defines a date of the last modification of the dashboard